aboutsummaryrefslogtreecommitdiff
path: root/test/python/install_jupyterlab.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/python/install_jupyterlab.sh')
-rw-r--r--test/python/install_jupyterlab.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/python/install_jupyterlab.sh b/test/python/install_jupyterlab.sh
new file mode 100644
index 0000000..9c5e453
--- /dev/null
+++ b/test/python/install_jupyterlab.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" jupyter lab --version
+check "config" grep ".*.allow_origin = '*'" /home/vscode/.jupyter/jupyter_notebook_config.py
+
+check "user" whoami | grep vscode
+check "zsh" zsh --version
+check "wget" wget -V
+
+# Report result
+reportResults